Deployments.ai Docs
Operations

Show an audit event

GET /v1/audit-events/{id} · SDK getAuditEvent · CLI deployments audit show

GET
/v1/audit-events/{id}

Requires audit:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AuditEventResponse

application/json
  1. response
action*string
actor*
changes?
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
occurredAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
resourceId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
resourceType?string
sourceIpHash?string
userAgentHash?string
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
curl -X GET "https://example.com/v1/audit-events/string" \  -H "x-deployments-environment: string"
{  "action": "string",  "actor": {    "id": "string",    "operatorAccessGrantId": "string",    "type": "agent"  },  "changes": {    "property1": null,    "property2": null  },  "id": "string",  "occurredAt": "2019-08-24T14:15:22Z",  "organizationId": "string",  "resourceId": "string",  "resourceType": "string",  "sourceIpHash": "string",  "userAgentHash": "string",  "environmentId": "string",  "projectId": "string"}